body {
    font-family: "Montserrat", sans-serif;
}

.urn-content-mt {
    padding-top: 56px !important;
}

.vh-50-header {
    min-height: calc(50vh - var(--header-height)) !important;
}
.vh-100-header {
    min-height: calc(100vh - var(--header-height)) !important;
}
.vh-100-header-secondary {
    min-height: calc(100vh - var(--header-height-secondary)) !important;
}

 #navbarMain .nav-link {
    position: relative;
    text-transform: uppercase;
    font-weight: 300;
    letter-spacing: 1px;
    font-size: 14px;
    transition: color 0.3s ease-in-out;
}

 #navbarMain .nav-link::after {
    content: "";
    display: block;
    width: 0;
    height: 2px;
    background: #23a6d5; /* Couleur de la barre */
    transition: width 0.3s;
    position: absolute;
    bottom: -3px;
    left: 50%;
    transform: translateX(-50%);
}

 #navbarMain .nav-link:hover::after {
    width: 75%; /* Ajustable pour un effet plus ou moins long */
}

.bg-video-wrapper video {
    object-fit: cover;
    width: 100%;
    height: 100%;
}

.bg-video-wrapper {
    z-index: -1;
}

.video-overlay {
    z-index: 1;
}
/* Section pleine page avec le fond animé */
.network-section {
    position: relative;
    width: 100%;
    height: 100vh;
    background: #0a0f24; /* Fond sombre */
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}

/* Conteneur pour l'animation */
#particles-js {
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 0;
}

#scrollProgressBar {
    position: fixed;
    top: var(--header-height); /* ou `0` si tu veux qu'elle touche le haut */
    left: 0;
    width: 0%;
    height: 4px;
    /*background: #23a6d5;*/
    z-index: 9999;
    transition: width 0.1s linear;
    background: linear-gradient(-45deg, #ee7752, #e73c7e, #23a6d5, #23d5ab);
    background-size: 400% 400%;
    animation: gradient 15s ease infinite;
}

/*Small devices (landscape phones, 576px and up)*/
@media (min-width: 576px) {

}

/*Medium devices (tablets, 768px and up)*/
@media (min-width: 768px) {

}

/*Large devices (desktops, 992px and up)*/
@media (min-width: 992px) {
    .vh-lg-50-header {
        min-height: calc(50vh - var(--header-height)) !important;
    }
    .vh-lg-100-header {
        min-height: calc(100vh - var(--header-height)) !important;
    }
    .vh-lg-100 {
        min-height: 100vh !important;
    }
    .urn-content-mt-lg-0 {
        padding-top: 0 !important;
    }
}

/*X-Large devices (large desktops, 1200px and up)*/
@media (min-width: 1200px) {

}

/*XX-Large devices (larger desktops, 1400px and up)*/
@media (min-width: 1400px) {

}